**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/24.2/sandbox-vaults/create-or-refresh-sandbox.md

# Create or Refresh Sandbox



Create a new sandbox for the currently authenticated Vault. Include the `source_snapshot` parameter in the request body to create a new sandbox from an existing [snapshot](/vault-api/api-reference/24.2/sandbox-vaults/sandbox-snapshots).

Providing a name which already exists will refresh the existing sandbox Vault. You can also [refresh a sandbox from a snapshot](/vault-api/api-reference/24.2/sandbox-vaults/refresh-sandbox-from-snapshot).

<Endpoint path="/api/{version}/objects/sandbox" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/x-www-form-urlencoded` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source` | The source to refresh the sandbox from:`vault``snapshot` |
| `source_snapshot` | If the source is a `snapshot`, provide the `api_name` of the snapshot to create the sandbox from. You can obtain the `api_name` using the [Retrieve Sandbox Snapshots](/vault-api/api-reference/24.2/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request. |
| `type` | The type of sandbox, such as `config`. |
| `size` | The size of the sandbox: `Small`, `Medium`, `Large`, `Very Large`, `Extra Large`, or `Full`. Learn more about [sandbox sizes and their limits in Vault Help](https://platform.veevavault.help/en/lr/48988). |
| `domain` | The domain to use for the new sandbox. Must be a valid domain. You can retrieve valid domains from the [Retrieve Domains](/vault-api/api-reference/24.2/domain-information/retrieve-domains) endpoint. Only domains of `type: Sandbox` are allowed. Must be lower-case, and must include the domain extension. |
| `name` | The name of the sandbox Vault, which appears on the *My Vaults* page. Providing a new name creates a new sandbox, whereas providing an existing name refreshes the existing sandbox. How often you can refresh a Vault depends on its size. Learn more about [refreshing sandboxes in Vault Help](https://platform.veevavault.help/en/lr/48988). |
| `add_requester` | This boolean field adds the currently authenticated user as a Vault Owner in the new sandbox. If set to `false,` the Domain Admin users in the sandbox domain will become Vault Owners in the sandbox Vault. If omitted, defaults to `true`. |
| `release` | The type of release. This can be `general`, `limited`, or `prerelease`. If omitted, defaults to the release level of the source Vault. Learn more about [Vault releases in Vault Help](https://platform.veevavault.help/en/lr/11796). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "type=config" \
-d "size=Small" \
-d "domain=veepharm.com" \
-d "name=Sandbox" \
https://myvault.veevavault.com/api/v18.2/objects/sandbox

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "job_id": 70701,
    "url": "/api/v18.2/services/jobs/70701"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following information:



---

**Previous:** [Set Sandbox Entitlements](/regulatory/vault-api/api-reference/24.2/sandbox-vaults/set-sandbox-entitlements)  
**Next:** [Refresh Sandbox from Snapshot](/regulatory/vault-api/api-reference/24.2/sandbox-vaults/refresh-sandbox-from-snapshot)